//
//  MenuTitleView.swift
//  Sailassist
//
//  Created by Mamoru Sugita on 2023/11/10.
//

import SwiftUI

struct MenuTitleView: View {
    @Binding var path : [MenuPath]

    var title = "Menu"
    var body: some View {
        VStack {
            HStack{
                Button{
                    path.removeLast()
                }label: {
                    if !path.isEmpty{
                        Image("ink_02")
                    }
                }
                .disabled(path.isEmpty)
                .frame(width: 48, height: 48)
                
                Spacer()
                
                Text(title)
                    .font(FontStyle.TitleL.font)
                    .foregroundColor(ColorSet.Body.color)
                
                Spacer()
                
                Button{
                    
                }label: {
//                    Image("ink_02")
                }
                .disabled(true)
                .frame(width: 48, height: 48)
            }
            .frame(height: 60)
            
            Divider()
                .background(ColorSet.LineColor04.color)
        }
        
    }
}

#Preview {
    MenuTitleView(path: .constant([]))
}
